Page MenuHomePhabricator

Prepare mathoid 0.7 release (tracking)
Closed, ResolvedPublic

Description

In the last year, quite a few new features have been discussed prototyped and implemented. Now it's time to draft a new release for production use and run the regression test for a smooth transition to the new version.

Key features are

Progress on the regression tests is recorded here.

Details

Related Gerrit Patches:
mediawiki/services/mathoid : masterRequire texvcinfo v0.5.2 and release v0.7.1
mediawiki/services/mathoid/deploy : masterUpdate config for Mathoid v0.7.0
mediawiki/services/mathoid : masterUpdate to mathoid-mathjax-node 0.7

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2017, 12:55 AM
Physikerwelt updated the task description. (Show Details)

Change 370603 had a related patch set uploaded (by Physikerwelt; owner: Physikerwelt):
[mediawiki/services/mathoid@master] WIP: Update to MathJax-node 1.0

https://gerrit.wikimedia.org/r/370603

@Physikerwelt I've just seen that the commands "\Hom", "\Aut", etc. aren't supported either, despite them being abundant in category theory. In general, it would be fantastic if I had some sort of interface where I could add in macros by myself, since as I'll cover a broad range of subjects, there will be need for diverse notation.

Change 370603 merged by Mobrovac:
[mediawiki/services/mathoid@master] Update to mathoid-mathjax-node 0.7

https://gerrit.wikimedia.org/r/370603

Mentioned in SAL (#wikimedia-operations) [2017-12-22T14:02:47Z] <mobrovac@tin> Started deploy [mathoid/deploy@7f39b71]: Update Mathoid to v0.7.0 in CODFW only to prefill storage - T179419 T172767

Mentioned in SAL (#wikimedia-operations) [2017-12-22T14:05:44Z] <mobrovac@tin> Finished deploy [mathoid/deploy@7f39b71]: Update Mathoid to v0.7.0 in CODFW only to prefill storage - T179419 T172767 (duration: 02m 57s)

Change 399811 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/mathoid/deploy@master] Update config for Mathoid v0.7.0

https://gerrit.wikimedia.org/r/399811

Change 399811 merged by Mobrovac:
[mediawiki/services/mathoid/deploy@master] Update config for Mathoid v0.7.0

https://gerrit.wikimedia.org/r/399811

Mentioned in SAL (#wikimedia-operations) [2017-12-22T14:13:35Z] <mobrovac@tin> Started deploy [mathoid/deploy@6c29c09]: Update Mathoid to v0.7.0 in CODFW only to prefill storage, take 2 - T179419 T172767

Mentioned in SAL (#wikimedia-operations) [2017-12-22T14:17:58Z] <mobrovac@tin> Finished deploy [mathoid/deploy@6c29c09]: Update Mathoid to v0.7.0 in CODFW only to prefill storage, take 2 - T179419 T172767 (duration: 04m 23s)

Mentioned in SAL (#wikimedia-operations) [2017-12-26T16:31:20Z] <mobrovac@tin> Started deploy [mathoid/deploy@63b2ddc]: Bring back Mathoid in codfw to v0.6.5 in sync with eqiad - T179419 T172767

Mentioned in SAL (#wikimedia-operations) [2017-12-26T16:33:04Z] <mobrovac@tin> Finished deploy [mathoid/deploy@63b2ddc]: Bring back Mathoid in codfw to v0.6.5 in sync with eqiad - T179419 T172767 (duration: 01m 44s)

Change 401936 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/mathoid@master] Require texvcinfo v0.5.2 and release v0.7.1

https://gerrit.wikimedia.org/r/401936

Change 401936 merged by Mobrovac:
[mediawiki/services/mathoid@master] Require texvcinfo v0.5.2 and release v0.7.1

https://gerrit.wikimedia.org/r/401936

Mentioned in SAL (#wikimedia-operations) [2018-01-04T12:02:31Z] <mobrovac@tin> Started deploy [mathoid/deploy@c9957ce]: Mathoid v0.7.1 - T172767

Mentioned in SAL (#wikimedia-operations) [2018-01-04T12:07:36Z] <mobrovac@tin> Finished deploy [mathoid/deploy@c9957ce]: Mathoid v0.7.1 - T172767 (duration: 05m 05s)

mobrovac closed this task as Resolved.Jan 4 2018, 12:08 PM
mobrovac triaged this task as Medium priority.
mobrovac edited projects, added Services (done); removed Patch-For-Review.